-- Gamepad Guild Trader
-- Author: @doomvipr
-- GamepadGuildTrader.lua: Addon Initialization

-- Initialize our addon.
function GGT:Initialize()
  -- Load modules.
  GGT.OptionsMenu:Initialize()
  GGT.TradeHouse:Initialize()
end

-- Verify our addon is loaded and throw the Initialize Method. 
function GGT.OnAddOnLoaded(event, addonName)
  if addonName == GGT.name then
    GGT:Initialize()
  end
end

-- Event registrations.
EVENT_MANAGER:RegisterForEvent(GGT.name, EVENT_ADD_ON_LOADED, GGT.OnAddOnLoaded)